Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::AnimationSet Class Reference

アニメーションセット More...

`#include <AnimationSet.h>`

Inheritance diagram for Lamp::AnimationSet:

List of all members.

## Public Member Functions
virtual void | addAnimation (Animation *animation)
| アニメーションの追加
virtual void | removeAnimation (Animation *animation)
| アニメーションの削除
virtual int | getAnimationCount () const
| アニメーション数の取得
virtual Animation * | getAnimation (int index) const
| アニメーションの取得
virtual bool | bind (Scene *scene)
| バインド
virtual void | unbind ()
| バインド解除
virtual int | getSequenceCount () const
| シーケンス数の取得
virtual void | setSequence (int sequence, float time=0.f)
| シーケンスの設定
virtual int | getSequence () const
| シーケンスの取得
virtual void | setTime (float time)
| 時間の設定
virtual float | getTime () const
| 時間の取得
virtual bool | animate (float deltaTime, AnimationMask mask)
| アニメーション
virtual float | getLength () const
| 長さの取得
virtual bool | isFinished () const
| 終了しているか
virtual bool | isLooped () const
| ループしているか
virtual Animation * | copy (DataCopyMask dataCopyMask=copyNone) const
| コピー
virtual AnimationSet * | copyAnimationSet (DataCopyMask dataCopyMask=copyNone) const
| アニメーションセットのコピー
virtual bool | isAnimationSet () const
| アニメーションセットかどうか
## Protected Member Functions
| AnimationSet (String name, AnimationManager *manager)
| コンストラクタ
virtual | ~AnimationSet ()
| デストラクタ
## Friends
class | AnimationManager

## Detailed Description

アニメーションセット

Definition at line 37 of file AnimationSet.h.

## Constructor & Destructor Documentation

Lamp::AnimationSet::AnimationSet | ( | String | name,
|  | AnimationManager * | manager
| ) | `[protected]`

  | コンストラクタ Parameters:
  name | 名前
  manager | アニメーションマネージャ
Definition at line 33 of file AnimationSet.cpp.

## Member Function Documentation

virtual void Lamp::AnimationSet::addAnimation | ( | Animation * | animation | ) | `[inline, virtual]`

  | アニメーションの追加 Parameters:
  animation | 追加するアニメーション
Definition at line 47 of file AnimationSet.h. References Lamp::ArrayList< Animation * >::add(). Referenced by copyAnimationSet(), Lamp::TextAnimationLoader::readAnimationSetLink(), and Lamp::BinaryAnimationLoader::readAnimationSetLink().

bool Lamp::AnimationSet::animate | ( | float | deltaTime,
|  | AnimationMask | mask
| ) | `[virtual]`

  | アニメーション Parameters:
  deltaTime | デルタタイム
  mask | アニメーションマスク
Returns: アニメーションが終了していればtrue Implements Lamp::Animation. Definition at line 116 of file AnimationSet.cpp. References Lamp::Animation::animate(), getAnimation(), getAnimationCount(), and Lamp::Animation::isEnabled().

bool Lamp::AnimationSet::bind | ( | Scene * | scene | ) | `[virtual]`

  | バインド Parameters:
  scene | バインド対象シーン
Returns: 全ての下位アニメーションにバインド成功すればtrue Implements Lamp::Animation. Definition at line 42 of file AnimationSet.cpp. References Lamp::Animation::bind(), getAnimation(), and getAnimationCount().

virtual Animation* Lamp::AnimationSet::copy | ( | DataCopyMask | dataCopyMask = copyNone | ) | const`[inline, virtual]`

  | コピー Parameters:
  dataCopyMask | データコピーマスク
Returns: コピーされたアニメーション Implements Lamp::Animation. Definition at line 165 of file AnimationSet.h. References copyAnimationSet(). Referenced by copyAnimationSet().

AnimationSet * Lamp::AnimationSet::copyAnimationSet | ( | DataCopyMask | dataCopyMask = copyNone | ) | const`[virtual]`

  | アニメーションセットのコピー Parameters:
  dataCopyMask | データコピーマスク
Returns: コピーされたアニメーション Definition at line 163 of file AnimationSet.cpp. References addAnimation(), copy(), Lamp::AnimationManager::createAnimationSet(), getAnimation(), getAnimationCount(), Lamp::Animation::getManager(), Lamp::Animation::getName(), Lamp::Animation::isEnabled(), and Lamp::Animation::setEnabled(). Referenced by copy().

virtual Animation* Lamp::AnimationSet::getAnimation | ( | int | index | ) | const`[inline, virtual]`

  | アニメーションの取得 Parameters:
  index | インデックス
Returns: アニメーション Definition at line 70 of file AnimationSet.h. References Assert, Lamp::ArrayList< Animation * >::get(), and getAnimationCount(). Referenced by animate(), bind(), Lamp::AnimationCompressor::compressAnimationSet(), copyAnimationSet(), getLength(), getSequence(), getSequenceCount(), getTime(), isFinished(), isLooped(), setSequence(), setTime(), unbind(), Lamp::TextAnimationSaver::writeAnimationSetLink(), and Lamp::BinaryAnimationSaver::writeAnimationSetLink().

virtual int Lamp::AnimationSet::getAnimationCount | ( |  | ) | const`[inline, virtual]`

| アニメーション数の取得 Returns: アニメーション数 Definition at line 63 of file AnimationSet.h. References Lamp::ArrayList< Animation * >::getCount(). Referenced by animate(), bind(), Lamp::AnimationCompressor::compressAnimationSet(), copyAnimationSet(), getAnimation(), getLength(), getSequence(), getSequenceCount(), getTime(), isFinished(), isLooped(), setSequence(), setTime(), unbind(), Lamp::TextAnimationSaver::writeAnimationSetLink(), and Lamp::BinaryAnimationSaver::writeAnimationSetLink().

float Lamp::AnimationSet::getLength | ( |  | ) | const`[virtual]`

| 長さの取得 Returns: 長さ Implements Lamp::Animation. Definition at line 129 of file AnimationSet.cpp. References getAnimation(), getAnimationCount(), and Lamp::Animation::getLength().

int Lamp::AnimationSet::getSequence | ( |  | ) | const`[virtual]`

| シーケンスの取得 Returns: シーケンス Implements Lamp::Animation. Definition at line 84 of file AnimationSet.cpp. References getAnimation(), getAnimationCount(), and Lamp::Animation::getSequence().

int Lamp::AnimationSet::getSequenceCount | ( |  | ) | const`[virtual]`

| シーケンス数の取得 Returns: シーケンス数 Implements Lamp::Animation. Definition at line 61 of file AnimationSet.cpp. References getAnimation(), getAnimationCount(), and Lamp::Animation::getSequenceCount(). Referenced by setSequence().

float Lamp::AnimationSet::getTime | ( |  | ) | const`[virtual]`

| 時間の取得 Returns: 時間 Implements Lamp::Animation. Definition at line 103 of file AnimationSet.cpp. References getAnimation(), getAnimationCount(), and Lamp::Animation::getTime().

virtual bool Lamp::AnimationSet::isAnimationSet | ( |  | ) | const`[inline, virtual]`

| アニメーションセットかどうか Returns: アニメーションセットならtrue Reimplemented from Lamp::Animation. Definition at line 184 of file AnimationSet.h.

bool Lamp::AnimationSet::isFinished | ( |  | ) | const`[virtual]`

| 終了しているか Returns: 終了していればtrue Implements Lamp::Animation. Definition at line 142 of file AnimationSet.cpp. References getAnimation(), getAnimationCount(), and Lamp::Animation::isFinished().

bool Lamp::AnimationSet::isLooped | ( |  | ) | const`[virtual]`

| ループしているか Returns: ループしていればtrue Implements Lamp::Animation. Definition at line 153 of file AnimationSet.cpp. References getAnimation(), getAnimationCount(), and Lamp::Animation::isLooped().

virtual void Lamp::AnimationSet::removeAnimation | ( | Animation * | animation | ) | `[inline, virtual]`

  | アニメーションの削除 Parameters:
  animation | 削除するアニメーション
Definition at line 55 of file AnimationSet.h. References Lamp::ArrayList< Animation * >::removeByValue().

void Lamp::AnimationSet::setSequence | ( | int | sequence,
|  | float | time = 0.f
| ) | `[virtual]`

  | シーケンスの設定 Parameters:
  sequence | 設定するシーケンス
  time | 設定する時間
Implements Lamp::Animation. Definition at line 74 of file AnimationSet.cpp. References Assert, getAnimation(), getAnimationCount(), getSequenceCount(), and Lamp::Animation::setSequence().

void Lamp::AnimationSet::setTime | ( | float | time | ) | `[virtual]`

  | 時間の設定 Parameters:
  time | 設定する時間
Implements Lamp::Animation. Definition at line 97 of file AnimationSet.cpp. References getAnimation(), getAnimationCount(), and Lamp::Animation::setTime().

The documentation for this class was generated from the following files:

- AnimationSet.h
- AnimationSet.cpp